/////////////////////////////////////////////////////////////////////////////
// Name:        guiutils.h
// Purpose:     GUI utilities common to libpkggui and libpmgui
// Author:      Francesco Montorsi
// Modified by:
// Created:     14/01/2007 21:21:22
// RCS-ID:      $Id: guiutils.h,v 1.2 2007/01/14 12:17:17 frm Exp $
// Copyright:   (c) 2007 Francesco Montorsi
// Licence:     wxWidgets license
/////////////////////////////////////////////////////////////////////////////

#ifndef _CMNGUIUTILS_H_
#define _CMNGUIUTILS_H_

#include "wx/defs.h"
#include "wx/artprov.h"

// utilities used in ::GetBitmapResource implementations

wxBitmap wxGetBitmapFromXPM_or_GTK2Stock(const char * const *xpm, const char *gtk2stock);
wxBitmap wxGetBitmapFromArtProvider_or_GTK2Stock(const wxArtID &artid, const char *gtk2stock);

wxImage wxGetImageFromXPM_or_GTK2Stock(const char * const *xpm, const char *gtk2stock);
wxImage wxGetImageFromArtProvider_or_GTK2Stock(const wxArtID &artid, const char *gtk2stock);

#endif
    // _CMNGUIUTILS_H_
