#!/bin/sh

###############################################################################
# Name:        validate.sh
# Purpose:     Validates all WXP files found
# Author:      Francesco Montorsi
# Licence:     wxWindows licence
# RCS-ID:      $Id: validate.sh,v 1.2 2007/01/20 15:15:52 frm Exp $
###############################################################################

dtd="../xml/wxp.dtd"
for wxp in `find . -name *.wxp`; do
    xmllint --noout --valid --loaddtd $dtd $wxp
done
